#ifndef BIRTHDAY_H_
#define BIRTHDAY_H_

#include <iostream>

using namespace std;

class Birthday
{
public:
    // Constructors
    Birthday();
    Birthday(int y, int m, int d);
    Birthday(const Birthday& other);  // copy constructor

    // Destructor
    ~Birthday();

    void set_year(int y);

    friend ostream& operator <<(ostream& outs, const Birthday& bd);

private:
    int year, month, date;
};

#endif
